// Copyright Peter Dimov and David Abrahams 2002.
// Distributed under the Boost Software License, Version 1.0. (See
// accompanying file LICENSE_1_0.txt or copy at
// http://www.boost.org/LICENSE_1_0.txt)

// Copyright 2018, Xilinx Inc.  All rights reserved.
// Following changes have been made by Xilinx:
//     Placed under the xilinx_sc namespace 
//     Changes made to use Xilinx Simulation Scheduler

#ifndef SC_GET_POINTER_DWA20021219_HPP
# define SC_GET_POINTER_DWA20021219_HPP

# include <memory>

namespace xilinx_sc {

namespace sc_boost { 

// get_pointer(p) extracts a ->* capable pointer from p

template<class T> T * get_pointer(T * p)
{
    return p;
}

// get_pointer(shared_ptr<T> const & p) has been moved to shared_ptr.hpp

template<class T> T * get_pointer(std::auto_ptr<T> const& p)
{
    return p.get();
}


} // namespace sc_boost

} // namespace xilinx_sc

#endif // SC_GET_POINTER_DWA20021219_HPP

// 67d7842dbbe25473c3c32b93c0da8047785f30d78e8a024de1b57352245f9689
